groovy.swing.impl

## Class TableLayoutRow

- java.lang.Object
- - groovy.swing.impl.TableLayoutRow

    public class TableLayoutRow
    extends java.lang.Object

Represents a row in a table layout

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`TableLayoutRow(TableLayout tableLayoutTag)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCell(TableLayoutCell tag)` Adds a new cell to this row
`void` `addComponentsForRow()`
`int` `getRowIndex()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableLayoutRow

    public TableLayoutRow(TableLayout tableLayoutTag)

### Method Detail

#### addCell

    public void addCell(TableLayoutCell tag)

Adds a new cell to this row

Parameters:
  `tag` - the td element

#### addComponentsForRow

    public void addComponentsForRow()

#### getRowIndex

    public int getRowIndex()

Returns:
  the row index of this row